// pages/home/home.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    phone:'',//手机号
    isQuerying: false,
    storeName: '', //店名
  },
  /**
   * 核销查询
   */
  check: function(e) {
    if (this.data.isQuerying) {
      return
    }
    var data = e.detail.value;
    if (data.phone.length != 11) {
      wx.showToast({
        title: '输入的手机号码有误',
        icon: 'none',
        duration: 2000
      })
      return
    } else {
      this.setData({
        isQuerying: true
      })
      this.query({user_phone:data.phone});
    }
  },
  query(data) {
    app.requestGet('admin/buy/userid',data,res=>{
      this.setData({
        isQuerying: false
      })
      if(res.code==200){
        wx.navigateTo({
          url: '../member/member?id=' + res.data.user_id
        })
      }else{
        wx.showToast({
          title: res.message,
          icon: 'none',
          duration: 2000
        })
      }
    })
  },
  /**
   * 扫码
   */
  scanCode() {
    var that=this;
    wx.scanCode({
      onlyFromCamera: true,
      success(res) {
        var id = res.result;
        that.query({ user_code: id });
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    wx.hideShareMenu();
    this.setData({
      storeName: app.globalData.storeData.shop_name
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {
    this.setData({
      phone:''
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})