// pages/personal/personal.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: null,
    canIUse: wx.canIUse('button.open-type.getUserInfo'),
    hasUserInfo: false,
    userNo: '', //员工编号
    record:{
      check_cash:0,
      check_dish:0,
      sum_check_point:0,
      sum_add_point:0
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu();
    if (app.globalData.userInfo) {
      this.setData({
        userInfo: app.globalData.userInfo,
        hasUserInfo: true
      })
    } else if (this.data.canIUse) {
      // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
      // 所以此处加入 callback 以防止这种情况
      app.userInfoReadyCallback = res => {
        this.setData({
          userInfo: res.userInfo,
          hasUserInfo: true
        })
      }
    } else {
      // 在没有 open-type=getUserInfo 版本的兼容处理
      wx.getUserInfo({
        success: res => {
          app.globalData.userInfo = res.userInfo
          this.setData({
            userInfo: res.userInfo,
            hasUserInfo: true
          })
        }
      })
    }
    this.setData({
      userNo: app.globalData.storeData.account_id
    })
  },
  /**
  * 获取头像昵称
  */
  getUserInfo: function (e) {
    app.globalData.userInfo = e.detail.userInfo
    if (e.detail.userInfo) {
      wx.setStorageSync('laomenkuangUserInfo', e.detail.userInfo);//老门框用户信息-头像昵称
      this.setData({
        userInfo: e.detail.userInfo,
        hasUserInfo: true
      })
      var userInfo = app.setUserInfo(e.detail.userInfo)
      app.requestPost('submit', userInfo, res => {
        console.log(res)
      })
    }
  },
  /**
   * 显示记录
   */
  showVecords: function(e){
    var code = e.currentTarget.dataset.index;
    wx.navigateTo({
      url: '../record/record?code=' + code
    })
  },
  /**
   * 获取记录数据
   */
  getRecordNums(){
    app.requestGet('admin/self/typenum',{},res=>{
      if(res.code==200){
        var {check_cash,check_dish,sum_check_point,sum_add_point}=res.data;
        this.setData({
          record:{check_cash,check_dish,sum_check_point,sum_add_point}
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getRecordNums()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})